# Uses of Class
org.apache.lucene.analysis.synonym.word2vec.Word2VecModel

Packages that use Word2VecModel
Package
Description
org.apache.lucene.analysis.synonym.word2vec
Analysis components for Synonyms using Word2Vec model.

- ## Uses of Word2VecModel in org.apache.lucene.analysis.synonym.word2vec

  Methods in org.apache.lucene.analysis.synonym.word2vec that return Word2VecModel
  Modifier and Type
  Method
  Description
  `Word2VecModel`
  Word2VecModel.`copy()`
  `Word2VecModel`
  Dl4jModelReader.`read()`
  Constructors in org.apache.lucene.analysis.synonym.word2vec with parameters of type Word2VecModel
  Modifier
  Constructor
  Description
  ``
  `Word2VecSynonymProvider(Word2VecModel model)`
  Word2VecSynonymProvider constructor